# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Fcntl.pm) perl(FindBin.pm) perl(IO/File.pm) perl(Scalar/Util.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-IO-Any
Version:        0.04
Release:        alt1_7
Summary:        Read or write files, folders, or strings, guessing the correct object type
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/IO-Any/
Source0:        http://search.cpan.org/CPAN/authors/id/J/JK/JKUTEJ/IO-Any-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(File/Slurp.pm)
BuildRequires:  perl(IO/AtomicFile.pm)
BuildRequires:  perl(IO/String.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/Differences.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(AnyEvent.pm)
BuildRequires:  perl(Test/Distribution.pm)
# BuildRequires:  perl(Test::Fixme)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Source44: import.info

%description
The aim is to provide read/write anything. The module tries to guess what
the "anything" is based on some rules. See "new" method Pod for examples
and "new" and "_guess_what" code for the implementation.

%prep
%setup -q -n IO-Any-%{version}

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_7
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_6
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_4
- fc import

